Mesa (master): gles2: fail symbol check if lib is missing

Eric Engeström eric_engestrom at kemper.freedesktop.org
Tue Oct 31 18:09:33 UTC 2017


Module: Mesa
Branch: master
Commit: ddb3a695a8fba949fd6e8bc1b483aa361b3fbd5a
URL:    http://cgit.freedesktop.org/mesa/mesa/commit/?id=ddb3a695a8fba949fd6e8bc1b483aa361b3fbd5a

Author: Eric Engestrom <eric.engestrom at imgtec.com>
Date:   Mon Oct 30 15:28:18 2017 +0000

gles2: fail symbol check if lib is missing

Signed-off-by: Eric Engestrom <eric.engestrom at imgtec.com>
Reviewed-by: Dylan Baker <dylan at pnwbakers.com>
Reviewed-by: Emil Velikov <emil.velikov at collabora.com>

---

 src/mapi/es2api/ABI-check | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/src/mapi/es2api/ABI-check b/src/mapi/es2api/ABI-check
index 5c9e826624..2c2764e7fb 100755
--- a/src/mapi/es2api/ABI-check
+++ b/src/mapi/es2api/ABI-check
@@ -1,11 +1,19 @@
 #!/bin/sh
+set -eu
 
 # Print defined gl.* functions not in GL ES 3.0 or in
 # (FIXME, none of these should be part of the ABI)
 # GL_EXT_multi_draw_arrays
 # GL_OES_EGL_image
 
-FUNCS=$(nm -D --defined-only ${1-.libs/libGLESv2.so.2} | grep -o 'T gl.*' | cut -c 3- | while read func; do
+LIB=${1-.libs/libGLESv2.so.2}
+
+if ! [ -f "$LIB" ]
+then
+  exit 1
+fi
+
+FUNCS=$(nm -D --defined-only $LIB | grep -o 'T gl.*' | cut -c 3- | while read func; do
 ( grep -q "^$func$" || echo $func )  <<EOF
 glActiveTexture
 glAttachShader




More information about the mesa-commit mailing list